<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package roofers
 */

global $roofers_option;

$roofers_url = esc_url( admin_url() );

?>

<footer id="footer" class="bordercolor">
         
<?php 
    $roofers_footer_display = $roofers_option['footer_widget_enable'];
        
    $roofers_footer_cols = $roofers_option['footer_columns'];
        
    if ( $roofers_footer_cols == '3' )  {

        $roofers_foot_col = 'col-sm-4 col-xs-12';

    } elseif ( $roofers_footer_cols == '2' )  {

        $roofers_foot_col = 'col-sm-6 col-xs-12';

    } elseif ( $roofers_footer_cols == '1' ) {

        $roofers_foot_col = 'col-xs-12';

    }    
        
?>   
    
<?php 
    if ( $roofers_footer_display == '1' ) :
?>          
    
        <!-- Footer Top -->
        <div class="footer_top">
            <div class="container">
                <div class="row">
                    <!-- Footer Widget 1 -->
                    <div class="footer-detail <?php echo esc_attr( $roofers_foot_col ); ?> ">
                        <?php
                        if ( is_active_sidebar( 'footer-1' ) ) : 
                            dynamic_sidebar( 'footer-1' );
                        else :
                        ?>
                        <p class="no-widget">
                            <?php echo esc_html__( 'Footer 1','roofers' );?>
                            <a href="<?php echo esc_url( $roofers_url.'widgets.php' ); ?>">
                            <?php echo esc_html__( 'Click here to add widgets','roofers' );?>
                            </a>
                        </p>
                        <?php endif; ?>

                    </div>
                    
                    <?php if ( $roofers_footer_cols == '3' || $roofers_footer_cols == '2' || $roofers_footer_cols == '1' ) : ?>
                    <!-- Footer Widget 2 -->
                    <div class="footer-detail <?php echo esc_attr( $roofers_foot_col ); ?> ">
                        <?php
                        if ( is_active_sidebar( 'footer-2' ) ) : 
                            dynamic_sidebar( 'footer-2' );
                        else :
                        ?>
                        <p class="no-widget">
                            <?php echo esc_html__( 'Footer 2','roofers' );?>
                            <a href="<?php echo esc_url( $roofers_url.'widgets.php' ); ?>">
                            <?php echo esc_html__( 'Click here to add widgets','roofers' );?>
                            </a>
                        </p>
                        <?php endif; ?>

                    </div>
                    
                    <?php endif; ?>
                           
                    <?php if ( $roofers_footer_cols == '3' ) : ?>          
                    <!-- Footer Widget 3 -->
                    <div class="footer-detail <?php echo esc_attr( $roofers_foot_col ); ?> ">
                        <?php
                        if ( is_active_sidebar( 'footer-3' ) ) : 
                            dynamic_sidebar( 'footer-3' );
                        else :
                        ?>
                        <p class="no-widget">
                            <?php echo esc_html__( 'Footer 3','roofers' );?>
                            <a href="<?php echo esc_url( $roofers_url.'widgets.php' ); ?>">
                            <?php echo esc_html__( 'Click here to add widgets','roofers' );?>
                            </a>
                        </p>
                        <?php endif; ?>

                    </div>
                    
                    <?php endif; ?>

                </div>
                <!-- /.row -->
            </div>
            <!-- /.container -->
        </div>
<?php else : ?>
            <p class="hidden"> <?php echo esc_html_e( 'No footer widgets','roofers' );?> </p>       
       
<?php endif; ?>    
                 
<?php
    $roofers_copy_txt = $roofers_option['copyright_txtbox'];

        
    $roofers_copy_position = $roofers_option['copyright_position'];
        
    if ( $roofers_copy_position == '3' )  {

        $roofers_foot_copy      = 'col-sm-12 pull-right text-right';
        

    } elseif ( $roofers_copy_position == '1' )  {

        $roofers_foot_copy      = 'col-sm-12 pull-left text-left';

    } elseif ( $roofers_copy_position == '2' )  {

        $roofers_foot_copy      = 'copy_txt text-center';
        

    }         
        
?>            
        <!-- Copyright -->
        <div class="footer_copy_right">
            <div class="container">
                <div class="row">
                    <div class="<?php if( ! empty( $roofers_foot_copy ) ): echo esc_attr( $roofers_foot_copy ); endif; ?> copy-right bordercolor ">

                       <?php if( ! empty( $roofers_copy_txt ) ): ?>
                        <p> <?php echo  apply_filters('the_content', $roofers_copy_txt); ;?> </p>
                        <?php else : ?>
                        <p>
                            <?php printf(
                                wp_kses_post( __( 'Copyright &copy; %1$s %2$s. All Rights Reserved. Designed by %3$s.', 'roofers' ) ),
                                date( 'Y' ),
                                esc_html__( 'roofers', 'roofers' ),
                                "<a href='http://ewebcraft.com' title='Visit ewebcraft.com!'>ewebcraft.com</a>"

                            ); ?>
                        </p>
                       <?php endif ?>
                    </div>
                </div>
            </div>
        </div>                                 
       
</footer>

</div><!-- #wrapper -->
    <!-- ******************************************************************** -->
    <!-- * Custom Footer JavaScript Code ************************************ -->
    <!-- ******************************************************************** -->
    
    <?php if ( (isset($roofers_option['footer_js'])) && ($roofers_option['footer_js'] != "") ) : ?>
    <script type="text/javascript">
        <?php echo $roofers_option['footer_js']; ?>
        </script>
    <?php endif; ?>
    
<?php wp_footer(); ?>


</body>
</html>
