<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package roofers
 */

global $roofers_option;

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
  <!-- ******************************************************************** -->
    <!-- * Custom Header JavaScript Code ************************************ -->
    <!-- ******************************************************************** -->
    
    <?php if ( (isset($roofers_option['header_js'])) && ($roofers_option['header_js'] != "") ) : ?>
	<script type="text/javascript">
        <?php echo $roofers_option['header_js']; ?>
		</script>
    <?php endif; ?>

<?php wp_head(); ?>
</head>

<body data-spy="scroll" data-target="#main-nav" id="page-top" <?php body_class(); ?> >
<div class="wrapper">
 <?php 
    $roofers_preload_display = $roofers_option['preloader_display'];
    
    if ( $roofers_preload_display == '1' && is_front_page() ) :
?> 
 
  <div id="loader">
      <div class="typing_loader"></div>
  </div> 
  
<?php endif; ?>
<?php
$roofers_back_top_bg =$roofers_option['back_top_enable'];
if ( $roofers_back_top_bg == true ){?>
  <a href="#page-top" class="back-to-top text-center bgcolor scroll" style="display: inline;">
    <i class="fa fa-angle-up"></i>
  </a>
<?php }?>

 <?php 
    $roofers_topbar_display = $roofers_option['topbar_display'];
	$header_style = $roofers_option['header_select'];
    
	if ( $header_style == '2' ){
	get_template_part( 'template-parts/headers/header-2' );
	}
	elseif ( $header_style == '3' ){
	get_template_part( 'template-parts/headers/header-3' );
	}
	else{
		get_template_part( 'template-parts/headers/header-1' );
	}
 get_template_part( 'template-parts/breadcrumbs' ); ?>
