<?php
// Way to set menu, import revolution slider, set blog page and set home page
if ( !function_exists( 'roofers_wbc_extended' ) ) :

	add_action( 'wbc_importer_after_content_import', 'roofers_wbc_extended', 10, 2 );

	function roofers_wbc_extended( $demo_active_import , $demo_directory_path ) {

		reset( $demo_active_import );
		$current_key = key( $demo_active_import );

		if ( isset( $demo_active_import[$current_key]['directory'] ) && !empty( $demo_active_import[$current_key]['directory'] ) ) :

			/**
			 * Import theme options
			 *
			 * @since 1.0.0
			 */
			// Get file contents and decode
			$file = $demo_directory_path . 'theme_options.txt';
			$data = file_get_contents( $file );
			$data = json_decode( $data, true );
			$data = maybe_unserialize( $data );
			update_option( 'roofers_option', $data );


			/**
			 * Add menus - the menus listed here largely depend on the ones registered in the theme
			 *
			 * @since 1.0.0
			 */
			$header_menu		= get_term_by( 'name', 'Header Menu', 'nav_menu' );
			$footer_menu		= get_term_by( 'name', 'Footer Menu', 'nav_menu' );
			$locations	 		= array();
			if ( $header_menu == 0 ) {
				$header_menu = wp_create_nav_menu( 'Header Menu' );
			}
			if ( $header_menu )
				$locations['primary'] = $header_menu->term_id;

			if ( $footer_menu )
				$locations['footer-menu'] = $footer_menu->term_id;

			if ( $locations )
				set_theme_mod( 'nav_menu_locations', $locations );


			/**
			 * Set HomePage
			 *
			 * @since 1.0.0
			 */
			$wbc_home_pages = array(
				'Roofers'			=> 'Home',
				'Roofers Classic'	=> 'Home',
				'Cleaning'			=> 'Home',
				'Constructor'		=> 'Home',
				'Electricity'		=> 'Home',
				'Garage'			=> 'Home',
				'Hvac'				=> 'Home',
				'Lawn Care'			=> 'Home',
				'Plumbing'			=> 'Home',
				
			);

			if ( array_key_exists( $demo_active_import[$current_key]['directory'], $wbc_home_pages ) ) :
				$home_page = get_page_by_title( $wbc_home_pages[$demo_active_import[$current_key]['directory']] );
				if ( isset( $home_page->ID ) ) :
					update_option( 'page_on_front', $home_page->ID );
					update_option( 'show_on_front', 'page' );
				endif;
			endif;


			/**
			 * Set BlogPage
			 *
			 * @since 1.0.0
			 */
			$wbc_blog_pages = array(
				'Roofers'			=> 'Blog',
				'Roofers Classic'	=> 'Blog',
				'Cleaning'			=> 'Blog',
				'Constructor'		=> 'Blog',
				'Electricity'		=> 'Blog',
				'Garage'			=> 'Blog',
				'Hvac'				=> 'Blog',
				'Lawn Care'			=> 'Blog',
				'Plumbing'			=> 'Blog',
			);

			if ( array_key_exists( $demo_active_import[$current_key]['directory'], $wbc_blog_pages ) ) :
				$blog_page = get_page_by_title( $wbc_blog_pages[$demo_active_import[$current_key]['directory']] );
				if ( isset( $blog_page->ID ) ) :
					update_option( 'page_for_posts', $blog_page->ID );
				endif;
			endif;


			/**
			 * Import slider(s) for the current demo being imported
			 *
			 * @since 1.0.0
			 */
			if ( class_exists( 'RevSlider' ) && get_option( 'roofers_revslider_imported' ) != 'done' ) :
				// Set sliders zip name
				$wbc_sliders_array = array(
					'Roofers'		=> array( 'roofer-slider-3.zip'),
					'Roofers Classic'	=> array( 'Roofers-Classic.zip' ),
					'Cleaning'		=> array( 'cleaning-slider.zip' ),
					'Constructor'		=> array( 'constructor-slider.zip'),
					'Electricity'		=> array( 'electricity-slider.zip'),
					'Garage'		=> array( 'garage-slider.zip'),
					'Hvac'		=> array( 'hvac_slider.zip'),
					'Lawn Care'		=> array( 'lawn-care-slider.zip'),
					'Plumbing'		=> array( 'plumber_slider.zip'),
				);

				if ( array_key_exists( $demo_active_import[$current_key]['directory'], $wbc_sliders_array ) ) :
					$wbc_slider_imports = $wbc_sliders_array[$demo_active_import[$current_key]['directory']];
					if ( is_array( $wbc_slider_imports ) ) :
						foreach( $wbc_slider_imports as $wbc_slider_import ) :
							if ( file_exists( $demo_directory_path.$wbc_slider_import ) ) :
								$slider = new RevSlider();
								$slider->importSliderFromPost( true, true, $demo_directory_path.$wbc_slider_import );
							endif;
						endforeach;
					endif;
				endif;

				add_option( 'roofers_revslider_imported', 'done' );
			endif; // end Import slider(s)

		endif;

	} // end roofers_wbc_extended function

endif;