<?php 

class services_list_widget extends WP_Widget 

{

function __construct() {

	parent::__construct(

		'services_list_widget', // Base ID
		esc_html__('Services List','roofers'), // Name
		array('description' => esc_html__( 'Services List', 'roofers'))

	   );

}

function update($new_instance, $old_instance) {

		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['serviceNumber'] = strip_tags($new_instance['serviceNumber']);

		return $instance;

}



function form($instance) {

	if( $instance) {

		$title = $instance['title'];
		$serviceNumber = $instance['serviceNumber'];

	} else {

		$title = '';
		$serviceNumber = '';

	} 

	?>
		<p>

		<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title', 'mytube'); ?></label>

		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />

		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('serviceNumber')); ?>"><?php esc_html_e('Number of Services:', 'roofers'); ?></label>
			<input type="text" id="<?php echo esc_attr($this->get_field_id('serviceNumber')); ?>"  name="<?php echo esc_attr($this->get_field_name('serviceNumber')); ?>" value="<?php echo esc_attr($serviceNumber); ?>">
		</p>		 

	<?php

	}



function widget($args, $instance) { 

		extract( $args );

		$title = apply_filters('widget_title', $instance['title']);
		$serviceNumber = $instance['serviceNumber'];

		echo wp_kses_post($before_widget);

		if ( $title ) {

			echo wp_kses_post($before_title) . esc_attr($title) . wp_kses_post($after_title);

		}
		$listingStyle = '';
		$this->roofers_getRealtyListings($listingStyle,$serviceNumber);

		echo wp_kses_post($after_widget);

	}

function roofers_getRealtyListings($listingStyle,$serviceNumber) { //html

		global $post;

?>
	<ul class="services-post-list">
<?php
		$query = new WP_Query( array( 'post_type' => 'roofing_services', 'posts_per_page' => $serviceNumber, 'order' => 'DESC' ) );
		while ( $query->have_posts() ) : $query->the_post(); 

	?>	
	<li>
		<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
	</li>
	<?php	

		endwhile; wp_reset_postdata();
		?>
		</ul>
		<?php

	}	

} //end class services_list_widget

register_widget('services_list_widget');

?>