<?php 

class Recent_News_Widget extends WP_Widget 

{

function __construct() {

	parent::__construct(

		'Recent_News_Widget', // Base ID
		esc_html__('Recent News with thumb','roofers'), // Name
		array('description' => esc_html__( 'Recent News with thumb', 'roofers'))

	   );

}

function update($new_instance, $old_instance) {

		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['newsNumber'] = strip_tags($new_instance['newsNumber']);

		return $instance;

}



function form($instance) {

	if( $instance) {

		$title = $instance['title'];
		$newsNumber = $instance['newsNumber'];

	} else {

		$title = '';
		$newsNumber = '';

	} 

	?>
		<p>

		<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title', 'mytube'); ?></label>

		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />

		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('newsNumber')); ?>"><?php esc_html_e('Number of News:', 'roofers'); ?></label>
			<input type="text" id="<?php echo esc_attr($this->get_field_id('newsNumber')); ?>"  name="<?php echo esc_attr($this->get_field_name('newsNumber')); ?>" value="<?php echo esc_attr($newsNumber); ?>">
		</p>		 

	<?php

	}



function widget($args, $instance) { 

		extract( $args );

		$title = apply_filters('widget_title', $instance['title']);
		$newsNumber = $instance['newsNumber'];

		echo wp_kses_post($before_widget);

		if ( $title ) {

			echo wp_kses_post($before_title) . esc_attr($title) . wp_kses_post($after_title);

		}
		$listingStyle = '';
		$this->roofers_getRealtyListings($listingStyle,$newsNumber);

		echo wp_kses_post($after_widget);

	}

function roofers_getRealtyListings($listingStyle,$newsNumber) { //html

		

		$query = new WP_Query( array( 'post_type' => 'post', 'posts_per_page' => $newsNumber, 'order' => 'DESC' ) );
		while ( $query->have_posts() ) : $query->the_post(); 
		global $post;
	?>	

		<div class="widget-post-list">

			<div class="row">

				<div class="col-xs-3 no-right-padding">
					<?php if ( has_post_thumbnail() ) { ?>
					<a href="<?php the_permalink(); ?>"> 
						<?php
		                  echo get_the_post_thumbnail( $post->ID, 'roofers75x75' );
						?>
	                </a>
	                <?php } ?>
				</div>
				<div class="col-xs-9">
					<h5><a href="<?php the_permalink(); ?>"><?php echo ucwords(strtolower(substr(get_the_title(),0,35))); ?></a></h5>
					<div class="widget-meta">
						<?php echo get_the_date(); ?>
					</div>
				</div>
			</div>
		</div>

	<?php	

		endwhile; wp_reset_postdata();

	}	

} //end class Recent_News_Widget

register_widget('Recent_News_Widget');

?>