<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package roofers
 */
global $roofers_option;

$roofers_blog_side = $roofers_option['blog_sidebar'];

if ( $roofers_blog_side == '3' && is_active_sidebar( 'blog-sidebar-right' ) )  {
    
    $roofers_blog_cont = 'col-md-9 col-sm-12 side_sec pull-left';
    
} elseif ( $roofers_blog_side == '2' && is_active_sidebar( 'blog-sidebar-left' ) ) {
    
    $roofers_blog_cont = 'col-md-9 col-sm-12 side_sec pull-right';
    
} elseif ( $roofers_blog_side == '1' ) {
    
    $roofers_blog_cont = 'col-sm-12 full-width';
    
} else {
    
    $roofers_blog_cont = 'col-sm-12 full-width';
    
} 
get_header(); ?>
    

	<div id="primary" class="content-area">
   		<?php
		if ( have_posts() ) : ?>
            <div id="latest-news-section">
       <?php endif; ?>
   
	   <div class="container">
		<main id="main" class="site-main">
            <?php if ( have_posts() ) : ?>
            <div class="row">
                <div class="news-holder <?php echo esc_attr( $roofers_blog_cont ); ?>">
                   <?php endif; ?>
                    <?php
                    if ( have_posts() ) :

                        /* Start the Loop */
                        while ( have_posts() ) : the_post();

                            /*
                             * Include the Post-Format-specific template for the content.
                             * If you want to override this in a child theme, then include a file
                             * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                             */
                            get_template_part( 'template-parts/content', get_post_format() );

                        endwhile; ?>
                        <?php if ( have_posts() ) : ?>
                   <?php endif; ?>
                            <div class="pagin">
                                <?php the_posts_pagination( array(
                                    'mid_size' => 5,
                                    'prev_text' => esc_html__( 'Previous', 'roofers' ),
                                    'next_text' => esc_html__( 'Next', 'roofers' ),
                                    'type'      => 'list',    
                                    'before_page_number'      => '<span>',    
                                    'after_page_number'      => '</span>',    
                                ) ); ?>
                            </div>
                    <?php        
                    else :

                        get_template_part( 'template-parts/content', 'none' );

                    endif; ?>
                </div>
                <?php get_sidebar(); ?>
            </div>    
		</main><!-- #main -->
	   </div><!-- .container -->
       	<?php if ( have_posts() ) : ?>
                </div>
       <?php endif; ?>
	</div><!-- #primary -->

<?php
get_footer();
