<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package roofers
 */

global $roofers_option;

$roofers_blog_side = $roofers_option['blog_sidebar'];

if ( $roofers_blog_side == '3' && is_singular( 'post' ) && is_active_sidebar( 'blog-sidebar-right' ) ) {
    
    $roofers_blog_cont = 'col-md-9 col-sm-12 side_sec pull-left';
    
} elseif ( $roofers_blog_side == '2' && is_singular( 'post' ) && is_active_sidebar( 'blog-sidebar-left' ) ) {
    
    $roofers_blog_cont = 'col-md-9 col-sm-12 side_sec pull-right';
    
} elseif ( $roofers_blog_side == '1' && is_singular( 'post' ) ) {
    
    $roofers_blog_cont = 'col-sm-12 full-width';
    
} else {
    
    $roofers_blog_cont = 'col-sm-12 full-width';
    
} 
get_header(); ?>

    <div id="primary" class="content-area">
        <div id="latest-news-section">
            <div class="container">
                <main id="main" class="site-main">
                    <div class="row">
                        <div class="news-holder <?php echo esc_attr( $roofers_blog_cont ); ?>">
                            <?php
		while ( have_posts() ) : the_post();

			get_template_part( 'template-parts/content', get_post_format() );
if($roofers_option['sp_pagination'] == 1){
			the_post_navigation();
}
			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>
                        </div> <!-- news-holder -->
                         <?php
                        if ( is_singular( 'post' ) ) {
                            get_sidebar(); 
                        } else { ?>
           
                        <p class="hidden"> <?php echo esc_html( 'No Sidebar', 'ewsroofers' ); ?> </p>
            
                    <?php } ?>
                    </div> <!-- row -->
                </main>
                <!-- #main -->
            </div> <!-- container -->
        </div> <!-- #latest-news-section -->
    </div>
    <!-- #primary -->

    <?php
get_footer();