<?php
/**
 * Template part for displaying breadcrumbs.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package roofers
 */

add_filter( 'wp_title', 'roofers_post_wp_title' );
 
/**
 * Customize the title for the Blog page, if one is not set.
 *
 * @param string $title The original title.
 * @return string The title to use.
 */
function roofers_post_wp_title( $roofers_post_title ) {
  if ( empty( $roofers_post_title ) && ( is_home() && ! is_front_page() ) ) {
    $roofers_post_title = get_the_title( get_option( 'page_for_posts' ) ) ;
  }
  return $roofers_post_title;
}

global $post ,$roofers_option;;
 $title_display = 'no';
if(!empty($post->ID)){

	$title_display = get_post_meta( $post->ID, 'roofers_hide_page_title', true ); 

}
 if ( is_front_page() ) : ?>
	<p class="hidden">
		<?php echo esc_html( 'No Breadcrumbs', 'roofers' ); ?>
	</p>

	<?php elseif ( is_home() || is_page() || is_archive() || is_search() ) : ?>
		<?php if($title_display != 'yes'): ?>
			<div id="page-title" class="roofers-title page_title_sec" style="background-image: url(<?php the_post_thumbnail_url( $size ); ?> );background-size: cover;background-position: 50% 50%;">
				<div class="container">
					<div class="row">
						<div class="col-sm-12 text-center">
							<h1 class="page_title"> 
								<?php if ( is_home() || is_page() || is_archive() ) {
									wp_title( false ); 
								} elseif ( is_search() ) {
									printf( esc_html__( 'Search Results for: %s', 'roofers' ), '<span>' . get_search_query() . '</span>' );
								}elseif ( is_single( $post ) ) {
									echo esc_html__( 'Blog', 'roofers' ) ;
								} else { 
									wp_title( false );
								} ?>               
							</h1>
							<?php if( $roofers_option['breadcrumb_display'] == '1' ){ ?>
								<div class="breadcrumb">
									<?php roofers_breadcrumbs(); ?>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		<?php endif; ?>

<?php endif; ?>