<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package roofers
 */

?>

    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
       <div class="news-container">
            <?php if ( has_post_format('image') ) {
                           // stuff to display the Image format post here
                            get_template_part( 'template-parts/post-format', 'image' );
                    } else if ( false == get_post_format() ) {
                            // code to display the normal format post here
                            get_template_part( 'template-parts/post-format', 'standard' );
                    } elseif ( get_post_type() != 'post' ) { ?>
                    <div class="entry-content">
                        <?php
                            /* translators: %s: Name of current post */
                            the_content( sprintf(
                                __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'roofers' ),
                                the_title( '<span class="screen-reader-text">', '</span>', false )
                            ) );

                            wp_link_pages( array(
                                'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'roofers' ) . '</span>',
                                'after'       => '</div>',
                                'link_before' => '<span>',
                                'link_after'  => '</span>',
                            ) );
                        ?>
                    </div>
                <?php } else { ?>    
            <div class="entry-content">			
                <?php				
                    the_content( sprintf(
                        /* translators: %s: Name of current post. */
                        wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'roofers' ), array( 'span' => array( 'class' => array() ) ) ),
                        the_title( '<span class="screen-reader-text">"', '"</span>', false )
                    ) );

                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'roofers' ),
                        'after'  => '</div>',
                    ) );
                ?>
            </div><!-- .entry-content -->
            <?php } ?>
        </div>
    </article><!-- #post-## -->