<?php
/**
 * Template part for displaying Image post format content in content.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package roofers
 */

?>

    <div class="news-image">
        <?php if ( has_post_thumbnail() ) : ?>
            <a href="<?php esc_url( the_permalink() ); ?>" title="<?php esc_attr( the_title_attribute() ); ?>" class="post-thumbnail">
                <?php the_post_thumbnail( 'full', array( 'class' => 'img-responsive' ) ); ?>
            </a>
               <div class="news-button">
                <div class="red-button bgcolor">
                    <?php $category = get_the_category(); ?>
                  <span><?php echo $category[0]->cat_name; ?><Span class="hidden-xs post-dt"><i class="fa fa-circle"></i><?php echo get_the_date('F j, Y'); ?></span></span>
                </div>
                <div class="red-button">
                  <span><a href="<?php esc_url( comments_link() ); ?> ">
                    <?php esc_html_e ( 'Comments', 'roofers' ); ?> (
                        <?php comments_number('0', '1', '%'); ?>) </a></span>
                </div>                
              </div> 
            <?php endif; ?>
    </div>

    <div class="latst-news-text">
            <?php
                if ( is_single() ) {
                    the_title( '<h3 class="news-text-heading">', '</h3>' );
                ?>    
                    <div class="news-text-desc">
                        <?php the_content(); ?>
                    </div>
                    <p class="blo_tags">
                        <?php the_tags( '<span>' . esc_html_e( 'Tags:', 'roofers' ) . '</span> ', ' , ' ); ?>
                    </p>
                <?php    
                } else {
                    the_title( '<h3 class="news-text-heading"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
                ?>
                    <p class="news-text-desc">
                        <?php echo get_the_excerpt(); ?>
                    </p>
                    <p class="readmore_btn">
                        <a class="news-read-more" href="<?php the_permalink(); ?>">
                            <?php esc_html_e ( 'Read More', 'roofers' ); ?>
                        </a>
                    </p>

                    <?php } ?>

    </div>





