<?php

function roofers_vc_map_multi_pins_element() {
    
    $services_category = array();

    $service_category =  get_terms( 'service_category', array( 'parent' => 0, 'orderby' => 'name', 'hide_empty' => false ) );

    if ( $service_category != null && !empty( $service_category ) && is_array( $service_category ) ) {
        foreach ( $service_category as $key => $entry ) {
            $services_category[$entry->term_id] = $entry->name;
        }
    }

    vc_map(
        array(

            'name' => __( 'Google Map with multiple pins','roofers' ),
            'base' => 'poolc_vc_map_multi_pins',
            'category' => __( 'Roofers Elements' ),
            'params' => array(
                 
                // params group

                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Section Title Style", "roofers"),
                    "param_name" => "lm_title_style",
                    "width" => 150,
                    "value" => array(
                        esc_html__('Style 1', "roofers") => "1",
                        esc_html__('Style 2', "roofers") => "2",
                    ),
                    "description" => esc_html__("", "roofers")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Text Align", "roofers"),
                    "param_name" => "lm_text_align",
                    "width" => 150,
                    "value" => array(
                        "Align Center" => "text-center",
                        "Align Left" => "text-left",
                        "Align Right" => "text-right",
                    ),
                    "description" => esc_html__("", "roofers")
                ),
                array(
                    'type' => 'textfield',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => __( 'Title' ),
                    'param_name' => 'title',
                    'value' => __( 'Title' ),
                    'description' => __( 'Title' ),
                ),
                array(
                    'type' => 'textarea',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => __( 'Description' ),
                    'param_name' => 'lm_description',
                    'value' => __( 'Description' ),
                    'description' => __( 'Description' ),
                ),
                array(
                    'type' => 'colorpicker',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => __( 'Title Color','roofers' ),
                    'param_name' => 'title_color',
                    'value' => '',
                    'default' => '#424242',
                ),
                array(
                    'type' => 'colorpicker',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => __( 'Description Color','roofers' ),
                    'param_name' => 'description_color',
                    'value' => '',
                    'default' => '#636363',
                ),
                array(
                    'type' => 'colorpicker',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => __( 'Separator Color','roofers' ),
                    'param_name' => 'separator_color',
                    'value' => '',
                    'default' => '#636363',
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Map Style", "roofers"),
                    "param_name" => "lm_map_style",
                    "width" => 150,
                    "value" => array(
                        esc_html__('Style 1', "roofers") => "1",
                        esc_html__('Style 2', "roofers") => "2",
                    ),
                    "description" => esc_html__("", "roofers")
                ),
                array(
                    'type' => 'colorpicker',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => __( 'Cities Container Background Color','roofers' ),
                    'param_name' => 'cities_cont_bg',
                    'value' => '',
                    'default' => '#f7941d',
                ),
                array(
                    'type' => 'param_group',
                    'value' => '',
                    'param_name' => 'lm_pins_list',
                    'params' => array(
                        array(
                            "type" => "dropdown",
                            "heading" => esc_html__("Locaiton Enable/Disable", "roofers"),
                            "param_name" => "lm_location_enable",
                            "width" => 150,
                            "value" => array(
                                esc_html__('enable', "roofers") => "enable",
                                esc_html__('disable', "roofers") => "disable",
                            ),
                            "description" => esc_html__("", "roofers")
                        ),
                        array(
                            'type' => 'textfield',
                            'value' => '',
                            'heading' => 'Location Name',
                            'param_name' => 'lm_location_name',
                            'value' => ''
                        ),
                        array(
                            'type' => 'textfield',
                            'value' => '',
                            'heading' => 'Location Latitude',
                            'param_name' => 'lm_location_lat',
                            'value' => ''
                        ),
                        array(
                            'type' => 'textfield',
                            'value' => '',
                            'heading' => 'Location Longitude',
                            'param_name' => 'lm_location_log',
                            'value' => ''
                        ),
                        array(
                            'type' => 'textarea',
                            'holder' => 'div',
                            'class' => '',
                            'heading' => __( 'Location Description' ),
                            'param_name' => 'lm_location_descrip',
                            'value' => '',
                            'description' => '',
                        ),
                    )
                ),
            )
        )
    );
}
add_action( 'vc_before_init', 'roofers_vc_map_multi_pins_element' );

/**
* Function for displaying Title functionality
*
* @param array $atts    - the attributes of shortcode
* @param string $content - the content between the shortcodes tags
*
* @return string $html - the HTML content for this shortcode.
*/
function poolc_vc_map_multi_pins_render( $atts, $content ) {
    $atts = shortcode_atts(
    array(
        'lm_title_style' => '',
        'lm_text_align' => '',
        'title' => '',
        'lm_description' => '',
        'title_color' => '',
        'description_color' => '',
        'separator_color' => '#cccccc',
        'lm_map_style' => '1',
        'cities_cont_bg' => '#f7941d',
        'lm_pins_list' => '',
    ), $atts, 'poolc_vc_map_multi_pins'
);
$output ='';
global $roofers_option;
if(isset($roofers_option['google_pin']['url']) && !empty($roofers_option['google_pin']['url'])){
    $google_pin = $roofers_option['google_pin']['url'];
}else{
    $google_pin = get_template_directory_uri().'/images/map-pin.png';
}

if($atts['lm_map_style'] == '1'){
    $lm_map_style = 'lm-map-style-1';
    $lm_map_canvas='lm_map_canvas-style-1';
}else{
    $lm_map_style = 'lm-map-style-2';
    $lm_map_canvas='lm_map_canvas-style-2';
}
    $lm_pins_list = vc_param_group_parse_atts( $atts['lm_pins_list'] ); 
    ?>
    <script type="text/javascript" code="maps_code">

    var stationList = [
    <?php
    foreach ($lm_pins_list as $key => $value):
    ?>
         {"latlng":[<?php echo $value['lm_location_lat']; ?>,<?php  echo $value['lm_location_log']; ?>],name:"<?php echo $value['lm_location_name']; ?>",visible:"<?php echo $value['lm_location_enable']; ?>",description:<?php echo json_encode($value['lm_location_descrip']); ?>,pin : "<?php echo $google_pin; ?>",color: "<?php echo $atts['cities_cont_bg']; ?>",des_color: "<?php echo $atts['description_color']; ?>"},
        

     <?php
    endforeach;
    ?>
     ];

    </script>
<?php
    $output .='<div class="'.$lm_map_style.'">';
        $output .="<div class='cities-list-block' style='background-color:{$atts['cities_cont_bg']}'>";

if(!empty($atts['title_color'])){
    $tit_st = "style='color:{$atts['title_color']}'";
}else{
    $tit_st = "";
}
if(!empty($atts['description_color'])){
    $description_color = "style='color:{$atts['description_color']}'";
}else{
    $description_color = "";
}
if(!empty($atts['description_color'])){
    $separator_color = "style='color:{$atts['separator_color']}'";
}else{
    $separator_color = "";
}

    if($atts['lm_title_style'] == '2'){

        $output .= '<div class="lm-section-title-2 section-text '.$atts['lm_text_align'].'" >';
            if(!empty($atts['title'])){
                $output .= '<h3 class="cities-title" '.$tit_st.'>'.$atts['title'].'</h3>';
            }
            if(!empty($atts['separator_color'])){
                $output .= '<div class="seperator" '.$separator_color.'></div>';
           }
            if(!empty($atts['lm_description'])){
                $output .= '<p '.$description_color.'>'.$atts['lm_description'].'</p>';
            }
        $output .='</div>';

    }else{

        $output .= '<div class="lm-section-title-1 section-text '.$atts['lm_text_align'].'"  >';
            if(!empty($atts['title'])){
                $output .='<h3 class="cities-title" '.$tit_st.'>'.$atts['title'].'</h3>';
            }
            if(!empty($atts['separator_color'])){
                $output .= '<div class="seperator" '.$separator_color.'></div>';
            }
            if(!empty($atts['lm_description'])){
                $output .= '<p '.$description_color.'>'.$atts['lm_description'].'</p>';
            }
        $output .='</div>';

        
    }
            $output .='<ul id="cities-list" class="cities-lists"></ul>';
        $output .='</div>';
    
    $output .='</div>';
    $output .='<div id="lm_map_canvas" class="'.$lm_map_canvas.'"></div>';
?>
<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?key=AIzaSyBueyERw9S41n4lblw5fVPAc9UqpAiMgvM&sensor=false"></script>
<script type="text/javascript" code="maps_code">
var infoWnd, mapCanvas;
function initialize() {
  //Creates a map object.
  //var mapDiv = document.getElementById("lm_map_canvas");
  var mapCanvas = new google.maps.Map(document.getElementById('lm_map_canvas'), { scrollwheel: false,
  styles: [
    {
        "featureType": "administrative",
        "elementType": "all",
        "stylers": [
            {
                "saturation": "-100"
            }
        ]
    },
    {
        "featureType": "administrative.province",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "off"
            }
        ]
    },
    {
        "featureType": "landscape",
        "elementType": "all",
        "stylers": [
            {
                "saturation": -100
            },
            {
                "lightness": 65
            },
            {
                "visibility": "on"
            }
        ]
    },
    {
        "featureType": "poi",
        "elementType": "all",
        "stylers": [
            {
                "saturation": -100
            },
            {
                "lightness": "50"
            },
            {
                "visibility": "simplified"
            }
        ]
    },
    {
        "featureType": "road",
        "elementType": "all",
        "stylers": [
            {
                "saturation": "-100"
            }
        ]
    },
    {
        "featureType": "road.highway",
        "elementType": "all",
        "stylers": [
            {
                "visibility": "simplified"
            }
        ]
    },
    {
        "featureType": "road.arterial",
        "elementType": "all",
        "stylers": [
            {
                "lightness": "30"
            }
        ]
    },
    {
        "featureType": "road.local",
        "elementType": "all",
        "stylers": [
            {
                "lightness": "40"
            }
        ]
    },
    {
        "featureType": "transit",
        "elementType": "all",
        "stylers": [
            {
                "saturation": -100
            },
            {
                "visibility": "simplified"
            }
        ]
    },
    {
        "featureType": "water",
        "elementType": "geometry",
        "stylers": [
            {
                "hue": "#ffff00"
            },
            {
                "lightness": -25
            },
            {
                "saturation": -97
            }
        ]
    },
    {
        "featureType": "water",
        "elementType": "labels",
        "stylers": [
            {
                "lightness": -25
            },
            {
                "saturation": -100
            }
        ]
    }
]
        });

  //mapCanvas = new google.maps.Map(mapDiv);
  mapCanvas.setMapTypeId(google.maps.MapTypeId.ROADMAP);
  
  //Creates a infowindow object.
  infoWnd = new google.maps.InfoWindow();
  
  //Mapping markers on the map
  var bounds = new google.maps.LatLngBounds();
  var station, i, latlng;
  for (i in stationList) {
    //Creates a marker
    station = stationList[i];
    latlng = new google.maps.LatLng(station.latlng[0], station.latlng[1]);
    bounds.extend(latlng);
    var marker = createMarker(
      mapCanvas, latlng, station.name,station.pin,station.description,
    );
    var name = station.name;
    var visible = station.visible;
    var description = station.description;
    var des_color = station.des_color;
    
    //Creates a sidebar button for the marker
    createMarkerButton(marker,name,visible,description,des_color);
  }
  //Fits the map bounds
  mapCanvas.fitBounds(bounds);
}
function createMarker(map, latlng, title, pin,description) {
  //Creates a marker

    var image = {
        url: pin,
        size: new google.maps.Size(60, 68),
        origin: new google.maps.Point(0, 0),
        anchor: new google.maps.Point(0, 68)
    };
  var marker = new google.maps.Marker({
    position : latlng,
    icon : image,
    map : map,
    title : title,
  });
       
  //The infoWindow is opened when the sidebar button is clicked
  google.maps.event.addListener(marker, "click", function(){
         if(description !== null){
           var loc_desc  = '<p class="location-desc">' + description + '</p>';
        }else{
           var loc_desc ='';
        }
     
    infoWnd.setContent("<h5 class='pin-loc-title'>" + title + "</h5>" +  loc_desc );
    infoWnd.open(map, marker);
  });
  return marker;
}
   function createMarkerButton(marker,name,visible,description,des_color) {
  //Creates a sidebar button
    var ul = document.getElementById("cities-list");
    var li = document.createElement("li");
    var title = name;
   
    if(visible == "enable"){
     li.className += "enable";
     li.innerHTML = '<h5 style="color:' + des_color + '" class="location-name"><i class="fa fa-check-circle" style="color:' + des_color + '"></i> '+ title + '</h5>';
    
    } else {
        li.className += "disable";
        li.innerHTML = '<h5 class="location-name"><i class="fa fa-circle" style="color:' + des_color + '"></i> '+ title + '</h5>';

    }
    ul.appendChild(li);
  
  //Trigger a click event to marker when the button is clicked.
  google.maps.event.addDomListener(li, "click", function(){
    google.maps.event.trigger(marker, "click");
  });
}
google.maps.event.addDomListener(window, "load", initialize);
    </script>
<?php
return $output;
}
add_shortcode( 'poolc_vc_map_multi_pins', 'poolc_vc_map_multi_pins_render' );


 ?>