<?php

function framework_news_box() {
    
    $posts_list = array();

    $posts_entries = get_posts( 'post_type=post&orderby=id&numberposts=-1&order=ASC&suppress_filters=0' );
    if ( $posts_entries != null && !empty( $posts_entries ) ) {
        foreach ( $posts_entries as $key => $entry ) {
            $posts_list[$entry->ID] = $entry->post_title;
        }
    }

    vc_map(
        array(
            'name' => __( 'News Boxes','roofers' ),
            'base' => 'news_box',
            'category' => __( 'Roofers Elements' ),
            'params' => array(
                array(
                    'type' => 'multi_select',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => __( 'Select Multiple Posts','roofers' ),
                    'param_name' => 'multi_select',
                    'value' => $posts_list,
                ),
                
                array(
                    'type' => 'dropdown',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => esc_html__( 'Select Columns','roofers' ),
                    'param_name' => 'news_col',
                    'value' => array(
                        esc_html__('One Column', "roofers") => "col-sm-1",
						esc_html__('Two column', "roofers") => "col-sm-2",
						esc_html__('Three column', "roofers") => "col-sm-3",
						esc_html__('Four column', "roofers") => "col-sm-4",
						esc_html__('Five column', "roofers") => "col-sm-5",
						esc_html__('Six column', "roofers") => "col-sm-6",
						esc_html__('Seven Column', "roofers") => "col-sm-7",
						esc_html__('Eight column', "roofers") => "col-sm-8",
						esc_html__('Nine column', "roofers") => "col-sm-9",
						esc_html__('Ten column', "roofers") => "col-sm-10",
						esc_html__('Eleven column', "roofers") => "col-sm-11",
						esc_html__('tewelve column', "roofers") => "col-sm-12",
                     ),
                     'std'         => 'Four column',
                )

            )
        )
    );

}
add_action( 'vc_before_init', 'framework_news_box' );

/**
* Function for displaying Title functionality
*
* @param array $atts    - the attributes of shortcode
* @param string $content - the content between the shortcodes tags
*
* @return string $html - the HTML content for this shortcode.
*/
function framework_news_box_function( $atts, $content ) {
    $atts = shortcode_atts(
    array(
        'multi_select' => '',
        'news_col' => '',
    ), $atts, 'news_box'
);
$output ='';
$lm_vc_news = $atts['multi_select'];
$rf_news_col = $atts['news_col'];
$news_id = explode(',',$lm_vc_news);
$counter = 0;
$firstserviceitem = '';

 $output .='<div class="container">';
     $output .='<div class="row">';
             $output .='<div class="news-holder">';
                    foreach ($news_id as $new_id) {
                        setup_postdata( $new_id );
                        $news_post = get_post($new_id);
                                $output .='<div class="'.$rf_news_col.' col-xs-12">';
                                    $output .='<div class="news-container">';
                                            $output .='<div class="news-image">';
                                                $output .= get_the_post_thumbnail($news_post->ID,'roofers360x210');
                                                $output .='<div class="news-content">';
                                                $output .='<h4 class="news-text-heading"><a href="'.get_permalink($news_post->ID).'">'.wp_trim_words(get_the_title($news_post->ID),3,false).'</a></h4>';
                                                $output .='<div class="news-meta-line">';
                                                    $category = get_the_category($news_post->ID);
                                                    if ( $category[0] ) {
                                                    $output .= '<a class="news-category" href="' . get_category_link( $category[0]->term_id ) . '">' . $category[0]->cat_name . '</a>';
                                                    }
                                                    $output .= '<span class="news-date">'.get_the_date('M j, Y',$news_post->ID).'</span>';
                                                    $output .= '<span class="news-comt">'.esc_html__('Comments ','roofers').get_comments_number($news_post->ID).'</span>';
                                                    $output .='</div>';
                                                    $output .= '<p class="news-detail">'.wp_trim_words(get_the_excerpt($new_id),12,'....').'</p>'; 
                                                $output .='<a href="'.get_the_permalink($new_id).'" class="lm-btn-2">Read More</a>';
                                                $output .='</div>';
                                            $output .='</div>';
                                            $output .='<div class="news-bottom-detail">';
                                                    $output .='<div class="news-title">';
                                                        $output .='<h4 class="news-text-heading"><a href="'.get_permalink($news_post->ID).'">'.get_the_title($news_post->ID).'</a></h4>';
                                                    $output .='</div>';
                                                    $output .='<div class="news-meta-line">';
                                                    $category = get_the_category($news_post->ID);
                                                    if ( $category[0] ) {
                                                    $output .= '<a class="news-category" href="' . get_category_link( $category[0]->term_id ) . '">' . $category[0]->cat_name . '</a>';
                                                    }
                                                    $output .= '<span class="news-date">'.get_the_date('M j, Y',$news_post->ID).'</span>';
                                                    $output .= '<span class="news-comt">'.esc_html__('Comments ','roofers').get_comments_number($news_post->ID).'</span>';
                                                    $output .='</div>';
                                            $output .='</div>';
                                        $output .='</div>';
                                    $output .='</div>';
                           $counter++; 
                    };
                    wp_reset_postdata();
            $output .='</div>';
        $output .='</div>';
    $output .='</div>';

                
return $output;
}
add_shortcode( 'news_box', 'framework_news_box_function' );


 ?>