<?php

function framework_team_member() {
    
    $posts_list = array();

    $posts_entries = get_posts( 'post_type=team&orderby=id&numberposts=-1&order=ASC&suppress_filters=0' );
    if ( $posts_entries != null && !empty( $posts_entries ) ) {
        foreach ( $posts_entries as $key => $entry ) {
            $posts_list[$entry->ID] = $entry->post_title;
        }
    }

    vc_map(
        array(
            'name' => __( 'Team Members','roofers' ),
            'base' => 'team_member',
            'category' => __( 'Roofers Elements' ),
            'params' => array(
                array(
                    'type' => 'multi_select',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => __( 'Select Multiple Posts','roofers' ),
                    'param_name' => 'multi_select',
                    'value' => $posts_list,
                ),
                
                array(
                    'type' => 'dropdown',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => esc_html__( 'Select Columns','roofers' ),
                    'param_name' => 'team_col',
                    'value' => array(
                        esc_html__('One Column', "roofers") => "col-sm-1",
						esc_html__('Two column', "roofers") => "col-sm-2",
						esc_html__('Three column', "roofers") => "col-sm-3",
						esc_html__('Four column', "roofers") => "col-sm-4",
						esc_html__('Five column', "roofers") => "col-sm-5",
						esc_html__('Six column', "roofers") => "col-sm-6",
						esc_html__('Seven Column', "roofers") => "col-sm-7",
						esc_html__('Eight column', "roofers") => "col-sm-8",
						esc_html__('Nine column', "roofers") => "col-sm-9",
						esc_html__('Ten column', "roofers") => "col-sm-10",
						esc_html__('Eleven column', "roofers") => "col-sm-11",
						esc_html__('tewelve column', "roofers") => "col-sm-12",
                     ),
                     'std'         => 'Four column',
                )

            )
        )
    );

}
add_action( 'vc_before_init', 'framework_team_member' );

/**
* Function for displaying Title functionality
*
* @param array $atts    - the attributes of shortcode
* @param string $content - the content between the shortcodes tags
*
* @return string $html - the HTML content for this shortcode.
*/
function framework_team_member_function( $atts, $content ) {
    $atts = shortcode_atts(
    array(
        'multi_select' => '',
        'team_col' => '',
    ), $atts, 'team_member'
);
$output ='';
$lm_vc_news = $atts['multi_select'];
$rf_news_col = $atts['team_col'];
$news_id = explode(',',$lm_vc_news);
$counter = 0;
$firstserviceitem = '';
 $output .='<div class="container">';
     $output .='<div class="row">';
             $output .='<div class="team-container">';
                    foreach ($news_id as $new_id) {
                        setup_postdata( $new_id );
                        $news_post = get_post($new_id);
                        $fb_link = get_post_meta( $news_post->ID, 'roofers_tm_fb_link', true );
                        $tw_link = get_post_meta( $news_post->ID, 'roofers_tm_tw_link', true );
                        $gp_link = get_post_meta( $news_post->ID, 'roofers_tm_gp_link', true );
                        $insta_link = get_post_meta( $news_post->ID, 'roofers_tm_int_link', true );
                                $output .='<div class="'.$rf_news_col.' col-xs-12">';
                                    $output .='<div class="team-box">';
                                           $output .= get_the_post_thumbnail($news_post->ID,'roofers260x355');
                                                $output .='<div class="member-info">';
                                                $output .='<h4 class="member-title"><a href="'.get_permalink($news_post->ID).'">'.wp_trim_words(get_the_title($news_post->ID),3,false).'</a></h4>';
                                                $output .= '<p class="news-detail">'.wp_trim_words(get_the_excerpt($new_id),26,' ').'</p>'; 
                                                 if(!empty($fb_link) || !empty($tw_link) || !empty($gp_link) || !empty($insta_link)){
                                                     $output .= '<div class="follow-txt"><span>Follow me:</span></div>';
                                               $output .= '<ul class="list-inline list-unstyled social-icons">';
                                            if(!empty($fb_link)){  
									$output .= '<li><a href="'.$fb_link.'"><i class="fa fa-facebook"></i></a></li>';
                                            }if(!empty($tw_link)){  
									$output .= '<li><a href="'.$tw_link.'"><i class="fa fa-twitter"></i></a></li>';
                                            }if(!empty($gp_link)){
								$output .= '<li><a href="'.$gp_link.'"><i class="fa fa-google-plus-square"></i></a></li>';
                                            }if(!empty($insta_link)){
								$output .= '<li><a href="'.$insta_link.'"><i class="fa fa-instagram"></i></a></li>';	
                                            }
								$output .= '</ul>';
                                                 }
                                                
                                                $output .='<div class="news-meta-line">';
                                                    $category = get_the_category($news_post->ID);
                                                    if ( $category[0] ) {
                                                    $output .= '<a class="news-category" href="' . get_category_link( $category[0]->term_id ) . '">' . $category[0]->cat_name . '</a>';
                                                    }

                                                    $output .='</div>';
                                            $output .='</div>';
                                        $output .='</div>';
                                    $output .='</div>';
                           $counter++; 
                    };
                    wp_reset_postdata();
            $output .='</div>';
        $output .='</div>';
    $output .='</div>';

                
return $output;
}
add_shortcode( 'team_member', 'framework_team_member_function' );


 ?>