<?php

function welcome_box() {
    
    vc_map(
        array(
            'name' => __( 'Roofers Welcome Box' ),
            'base' => 'welcome_box',
            'category' => __( 'Roofers Elements' ),
            'params' => array(
                array(
                    'type' => 'textfield',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => __( 'Title' ),
                    'param_name' => 'title',
                    'value' => __( 'Welcome Box Title' ),
                    'description' => __( 'Title' ),
                ),
                array(
                    'type' => 'textarea',
                    'holder' => 'div',
                    'class' => '',
                    'heading' => __( 'Description' ),
                    'param_name' => 'be_description',
                    'value' => __( 'Welcome Box Description' ),
                    'description' => __( 'Description' ),
                ),
				array(
					"type" => "attach_image",
					"holder" => "img",
					"heading" => esc_html__("Welcome Box Image Icon", "roofers"),
					"param_name" => "bg_image_icon",
					"value" => "",
					"description" => esc_html__("", "roofers")
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Welcome Box Style", "roofers"),
					"param_name" => "be_box_style",
					"width" => 150,
					"value" => array(
						esc_html__('Style 1', "roofers") => "style1",
						esc_html__('Style 2', "roofers") => "style2",
					),
					"description" => esc_html__("", "roofers")
				),
            )
        )
    );
}
add_action( 'vc_before_init', 'welcome_box' );

/**
* Function for displaying Title functionality
*
* @param array $atts    - the attributes of shortcode
* @param string $content - the content between the shortcodes tags
*
* @return string $html - the HTML content for this shortcode.
*/
function welcome_box_function( $atts, $content ) {
    $atts = shortcode_atts(
    array(
        'title' => __( 'Welcome Box Title' ),
        'be_description' => __( 'Welcome Box Description' ),
        'bg_image_icon' => '',
        'be_box_style' => 'style1',
    ), $atts, 'welcome_box'
);
$output ='';

// Replace 'thumbnail' with any valid wordpress image size.
$imageSrc = wp_get_attachment_image_src($atts["bg_image_icon"], 'full'); 
if($atts["be_box_style"] == 'style1'){
	
$output .= '<div class="roofer-welcomebox text-center" >';
	if(!empty($imageSrc)){
		$output .='<img src="'.$imageSrc[0].'" alt="imgr" />';
	}
	if(!empty($atts["title"])){
		$output .='<h1>'.$atts["title"].'</h1>';
	}
	if(!empty($atts["be_description"])){
		$output .='<p>'.$atts["be_description"].'</p>';
	}
$output .='</div>';
	
}elseif($atts["be_box_style"] == 'style2'){
	
$output .= '<div class="roofer-welcomebox2">';
	$output .= '<div class="media">';
		if(!empty($imageSrc)){
		$output .= '<div class="media-left">';
			$output .='<img src="'.$imageSrc[0].'" alt="imgr" />';
		$output .= '</div>';
		}
		$output .= '<div class="media-body">';
			if(!empty($atts["title"])){
				$output .='<h1>'.$atts["title"].'</h1>';
			}
			if(!empty($atts["be_description"])){
				$output .='<p>'.$atts["be_description"].'</p>';
			}
		$output .= '</div>';
	$output .= '</div>';
$output .= '</div>';
	
}
return $output;
}
add_shortcode( 'welcome_box', 'welcome_box_function' );


 ?>