<?php
/*

Plugin Name: Roofers
Plugin URI: http://themeforest.net/user/ewebcraft
Description: Roofers Plugin  for roofers themes custom post type
Version: 1.4
Author: eWebCraft
Author URI: http://themeforest.net/user/ewebcraft

*/
global $roofers_option;

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
define( 'ROOFERS_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'ROOFERS_PLUGIN_URL', plugin_dir_url( __FILE__ ) );

	// Add the Meta Box  
function add_custom_meta_box() {  
    add_meta_box(  
        'custom_meta_box',
        'Page Settings' , 
        'show_custom_meta_box',
        'page', 
        'normal',  
        'high');
}  
add_action('add_meta_boxes', 'add_custom_meta_box');  

// Field Array  
$prefix = 'roofers_';  
$custom_meta_fields = array(
    array(  
        'name'  => 'Hide Page Title ?',  
        'placeholder'  => 'Select Page Title hide option',  
        'id'    => $prefix.'hide_page_title',  
        'type'  => 'selectbox' ,
        'options' => array(
        		'yes' => 'Yes',
        		'no' => 'No',
        ), 
    ),
    array(  
        'name'  => 'Page Padding Top',  
        'placeholder'  => '',  
        'id'    => $prefix.'page_padding_top',  
        'type'  => 'text',
        'value' => '120',
        'desc' => 'This option only works if Page Title is hide',
    ), 
);


// The Callback  
function show_custom_meta_box() {  
global $custom_meta_fields, $post;  
// Use nonce for verification   
    foreach ($custom_meta_fields as $field) {  
        // get value of this field if it exists for this post  
       
        $meta = get_post_meta($post->ID, $field['id'], true);  
        $selceted = '';
		if(!empty( $meta)){
			 $met =  $meta;
		}else{
			 if(isset($field['value']) && !empty($field['value'])){
	        	add_post_meta($post->ID, $field['id'], $field['value']);  
	        	$met = $field['value'];  
	        }else{
				$met =  '120';
	        }
		}
        	echo '<style>.labelarea{min-width: 200px;display: inline-block; padding-right: 30px;}.selectarea{min-width:250px;}.labelarea strong{display:block}.form-group{padding-top:15px;padding-bottom:15px;}</style>';
			switch($field['type']) {  
				// case items will go here 
					// text  
					case 'text';
						echo '<div class="form-group">';
      						echo '<label for= "'.$field['id'].'" class="labelarea"><strong>'.$field['name'].'</strong><span>'.$field['desc'].'</span></label>';  
							echo '<input type="text" class="textarea" id="'.$field['id'].'" name="'.$field['id'].'" data-value="'.$met.'" value="'.$met.'" />';
						echo '</div>';
					break;  
					case 'selectbox';
						echo '<div class="form-group">';
      						echo '<label for= "'.$field['id'].'" class="labelarea"><strong>'.$field['name'].'</strong><span>'.$field['desc'].'</span></label>';  
							echo '<select class="selectarea" id="'.$field['id'].'" name="'.$field['id'].'" data-value="'.$met.'">';
								echo '<option value="" >'.$field['placeholder'].'</option>';
							foreach ($field['options'] as $key => $value) {
								if($met == $key){
									$selceted = 'selected=selceted';
								}
								echo '<option value="'.$key.'" '.$selceted.'>'.$value.'</option>';
								 $selceted = '';
							}
					  		echo '</select>'; 
						echo '</div>';
					break;  
			} //end switch  
        
    } // end foreach  
}

// Save the Data  
add_action('save_post', 'save_custom_meta');
function save_custom_meta($post_id) {  
    global $custom_meta_fields;  

    // check autosave  
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)  
        return $post_id;  

    // loop through fields and save the data  
    foreach ($custom_meta_fields as $field) {  
        $old = get_post_meta($post_id, $field['id'], true);  
        $new = $_POST[$field['id']];  
        if ($new && $new != $old) {  
            update_post_meta($post_id, $field['id'], $new);  
        } elseif ('' == $new && $old) {  
            delete_post_meta($post_id, $field['id'], $old);  
        }  
    } // end foreach  
}  

//MetaBox for Team page
function roofers_team_custom_meta_box() {
    global $prefix;
   add_meta_box(
       'roofers_team_meta_box',       // $id
       'Social Links',                  // $title
       'show_team_meta_box',  // $callback
       'team',                 // $page
       'normal',                  // $context
       'high'                     // $priority
   );
}
add_action('add_meta_boxes', 'roofers_team_custom_meta_box');
$team_custom_meta_fields = array(
    array(  
        'name'  => 'Facebook Link',  
        'placeholder'  => '',  
        'id'    => $prefix.'tm_fb_link',  
        'type'  => 'text',
        'value' => ' ',
        'desc' => 'Enter the Team member Facebook Link',
    ),
    array(  
        'name'  => 'Twitter Plus Link',  
        'placeholder'  => '',  
        'id'    => $prefix.'tm_tw_link',  
        'type'  => 'text',
        'value' => '',
        'desc' => 'Enter the Team member Twitter  Link',
    ),
     array(  
        'name'  => 'Google Plus Link',  
        'placeholder'  => '',  
        'id'    => $prefix.'tm_gp_link',  
        'type'  => 'text',
        'value' => '',
        'desc' => 'Enter the Team member Google Plus Link',
    ),
     array(  
        'name'  => 'Instagram Plus Link',  
        'placeholder'  => '',  
        'id'    => $prefix.'tm_int_link',  
        'type'  => 'text',
        'value' => '',
        'desc' => 'Enter the Team member Instagram Link',
    ),

);
// The Callback  
function show_team_meta_box() {  
global $team_custom_meta_fields, $post;  
// Use nonce for verification   
    foreach ($team_custom_meta_fields as $tm_field) {  
        // get value of this field if it exists for this post  
       
         $meta_val = get_post_meta($post->ID, $tm_field['id'], true);  
         echo '<div class="form-group social-links">';
      						echo '<label for= "'.$tm_field['id'].'" class="labelarea"><strong>'.$tm_field['name'].'</strong><span>'.$tm_field['desc'].'</span></label>';  
							echo '<input type="text" class="textarea" id="'.$tm_field['id'].'" name="'.$tm_field['id'].'" data-value="'.$meta_val.'" value="'.$meta_val.'" />';
						echo '</div>';
    } // end foreach  
    echo '<style>.labelarea{min-width: 400px;display: inline-block; padding-right: 30px;}.social-links input{min-width:250px;}.labelarea strong{display:block}.form-group{padding-top:15px;padding-bottom:15px;}</style>';
  
						
}
// Save the Data  
add_action('save_post', 'save_team_custom_meta');
function save_team_custom_meta($post_id) {  
    global $team_custom_meta_fields ,$post;  

    // check autosave  
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)  
        return $post_id;  

    // loop through fields and save the data  
    foreach ($team_custom_meta_fields as $tm_field) {  
        $old = get_post_meta($post_id, $tm_field['id'], true);  
        $new = $_POST[$tm_field['id']];  
        if ($new && $new != $old) {  
            update_post_meta($post_id, $tm_field['id'], $new);  
        } elseif ('' == $new && $old) {  
            delete_post_meta($post_id, $tm_field['id'], $old);  
        }  
    } // end foreach  
}
  
// Widgets
class roofers_xlCustomContent{

	function __construct() {		

		add_action( 'init', array( $this, 'roofers_services_custom_post_type' ) );	

	}
	/*

	**	Registering Custom Post Types

	*/
	function roofers_services_custom_post_type() {
	    global $roofers_option;
	    if($roofers_option['cp_sr'] != ''){
		$sr_custom_url = (isset($roofers_option['cp_sr']) && !empty($roofers_option['cp_sr'])) ? $roofers_option['cp_sr'] : '';
	    } else {
	   $sr_custom_url ='services';
	}
		$labels = array(
			'name'                  => _x( 'Services', 'Post type general name', 'roofers' ),
			'singular_name'         => _x( 'Service', 'Post type singular name', 'roofers' ),
			'menu_name'             => _x( 'Services', 'Admin Menu text', 'roofers' ),
			'name_admin_bar'        => _x( 'Service', 'Add New on Toolbar', 'roofers' ),
			'add_new'               => __( 'Add New', 'roofers' ),
			'add_new_item'          => __( 'Add New Services', 'roofers' ),
			'new_item'              => __( 'New Service', 'roofers' ),
			'edit_item'             => __( 'Edit Service', 'roofers' ),
			'view_item'             => __( 'View Service', 'roofers' ),
			'all_items'             => __( 'All Services', 'roofers' ),
			'search_items'          => __( 'Search Services', 'roofers' ),
			'parent_item_colon'     => __( 'Parent Services:', 'roofers' ),
			'not_found'             => __( 'No services found.', 'roofers' ),
			'not_found_in_trash'    => __( 'No services found in Trash.', 'roofers' ),
			'featured_image'        => _x( 'Service Cover Image', 'Overrides the “Featured Image” phrase for this post type. Added in 4.3', 'roofers' ),
			'set_featured_image'    => _x( 'Set cover image', 'Overrides the “Set featured image” phrase for this post type. Added in 4.3', 'roofers' ),
			'remove_featured_image' => _x( 'Remove cover image', 'Overrides the “Remove featured image” phrase for this post type. Added in 4.3', 'roofers' ),
			'use_featured_image'    => _x( 'Use as cover image', 'Overrides the “Use as featured image” phrase for this post type. Added in 4.3', 'roofers' ),
			'archives'              => _x( 'Service archives', 'The post type archive label used in nav menus. Default “Post Archives”. Added in 4.4', 'roofers' ),
			'insert_into_item'      => _x( 'Insert into service', 'Overrides the “Insert into post”/”Insert into page” phrase (used when inserting media into a post). Added in 4.4', 'roofers' ),
			'uploaded_to_this_item' => _x( 'Uploaded to this service', 'Overrides the “Uploaded to this post”/”Uploaded to this page” phrase (used when viewing media attached to a post). Added in 4.4', 'roofers' ),
			'filter_items_list'     => _x( 'Filter services list', 'Screen reader text for the filter links heading on the post type listing screen. Default “Filter posts list”/”Filter pages list”. Added in 4.4', 'roofers' ),
			'items_list_navigation' => _x( 'Services list navigation', 'Screen reader text for the pagination heading on the post type listing screen. Default “Posts list navigation”/”Pages list navigation”. Added in 4.4', 'roofers' ),
			'items_list'            => _x( 'Services list', 'Screen reader text for the items list heading on the post type listing screen. Default “Posts list”/”Pages list”. Added in 4.4', 'roofers' ),
		);
	 
		$args = array(
			'labels'             => $labels,
			'public'             => true,
			'publicly_queryable' => true,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'rewrite'            => array( 'slug' => $sr_custom_url ),
			'capability_type'    => 'post',
			'has_archive'        => true,
			'hierarchical'       => false,
			'menu_position'      => null,
			'menu_icon'   =>     'dashicons-vault',
			'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments' ),
		);
	 
		register_post_type( 'roofing_services', $args );
		
		
		$cat_labels = array(
			'name'              => _x( 'Categories', 'taxonomy general name', 'textdomain' ),
			'singular_name'     => _x( 'Category', 'taxonomy singular name', 'textdomain' ),
			'search_items'      => __( 'Search Categories', 'textdomain' ),
			'all_items'         => __( 'All Categories', 'textdomain' ),
			'parent_item'       => __( 'Parent Category', 'textdomain' ),
			'parent_item_colon' => __( 'Parent Category:', 'textdomain' ),
			'edit_item'         => __( 'Edit Category', 'textdomain' ),
			'update_item'       => __( 'Update Category', 'textdomain' ),
			'add_new_item'      => __( 'Add New Category', 'textdomain' ),
			'new_item_name'     => __( 'New Category Name', 'textdomain' ),
			'menu_name'         => __( 'Category', 'textdomain' ),
		);

		$cat_args = array(
			'hierarchical'      => true,
			'labels'            => $cat_labels,
			'show_ui'           => true,
			'show_admin_column' => true,
			'query_var'         => true,
			'rewrite'           => array( 'slug' => 'service_category' ),
		);

		register_taxonomy( 'service_category', array( 'roofing_services' ), $cat_args );
		
		// Works Custom Post Type
		
		
		$work_labels = array(
			'name'                  => _x( 'Works', 'Post type general name', 'roofers' ),
			'singular_name'         => _x( 'Work', 'Post type singular name', 'roofers' ),
			'menu_name'             => _x( 'Works', 'Admin Menu text', 'roofers' ),
			'name_admin_bar'        => _x( 'Work', 'Add New on Toolbar', 'roofers' ),
			'add_new'               => __( 'Add New', 'roofers' ),
			'add_new_item'          => __( 'Add New Work', 'roofers' ),
			'new_item'              => __( 'New Work', 'roofers' ),
			'edit_item'             => __( 'Edit Work', 'roofers' ),
			'view_item'             => __( 'View Work', 'roofers' ),
			'all_items'             => __( 'All Works', 'roofers' ),
			'search_items'          => __( 'Search Works', 'roofers' ),
			'parent_item_colon'     => __( 'Parent Works:', 'roofers' ),
			'not_found'             => __( 'No Works found.', 'roofers' ),
			'not_found_in_trash'    => __( 'No Works found in Trash.', 'roofers' ),
			'featured_image'        => _x( 'Work Cover Image', 'Overrides the “Featured Image” phrase for this post type. Added in 4.3', 'roofers' ),
			'set_featured_image'    => _x( 'Set cover image', 'Overrides the “Set featured image” phrase for this post type. Added in 4.3', 'roofers' ),
			'remove_featured_image' => _x( 'Remove cover image', 'Overrides the “Remove featured image” phrase for this post type. Added in 4.3', 'roofers' ),
			'use_featured_image'    => _x( 'Use as cover image', 'Overrides the “Use as featured image” phrase for this post type. Added in 4.3', 'roofers' ),
			'archives'              => _x( 'Work archives', 'The post type archive label used in nav menus. Default “Post Archives”. Added in 4.4', 'roofers' ),
			'insert_into_item'      => _x( 'Insert into work', 'Overrides the “Insert into post”/”Insert into page” phrase (used when inserting media into a post). Added in 4.4', 'roofers' ),
			'uploaded_to_this_item' => _x( 'Uploaded to this work', 'Overrides the “Uploaded to this post”/”Uploaded to this page” phrase (used when viewing media attached to a post). Added in 4.4', 'roofers' ),
			'filter_items_list'     => _x( 'Filter works list', 'Screen reader text for the filter links heading on the post type listing screen. Default “Filter posts list”/”Filter pages list”. Added in 4.4', 'roofers' ),
			'items_list_navigation' => _x( 'Works list navigation', 'Screen reader text for the pagination heading on the post type listing screen. Default “Posts list navigation”/”Pages list navigation”. Added in 4.4', 'roofers' ),
			'items_list'            => _x( 'Works list', 'Screen reader text for the items list heading on the post type listing screen. Default “Posts list”/”Pages list”. Added in 4.4', 'roofers' ),
		);
	    if($roofers_option['cp_wk'] != ''){
		$wk_custom_url = (isset($roofers_option['cp_wk']) && !empty($roofers_option['cp_wk'])) ? $roofers_option['cp_wk'] : '';
	    } else {
	   $wk_custom_url ='works';
	}
		$work_args = array(
			'labels'             => $work_labels,
			'public'             => true,
			'publicly_queryable' => true,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'rewrite'            => array( 'slug' => $wk_custom_url ),
			'capability_type'    => 'post',
			'has_archive'        => true,
			'hierarchical'       => false,
			'menu_position'      => null,
			'menu_icon'   =>     'dashicons-book-alt',
			'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments' ),
		);
	 
		register_post_type( 'works', $work_args );
		
		$wcat_labels = array(
			'name'              => _x( 'Categories', 'taxonomy general name', 'textdomain' ),
			'singular_name'     => _x( 'Category', 'taxonomy singular name', 'textdomain' ),
			'search_items'      => __( 'Search Categories', 'textdomain' ),
			'all_items'         => __( 'All Categories', 'textdomain' ),
			'parent_item'       => __( 'Parent Category', 'textdomain' ),
			'parent_item_colon' => __( 'Parent Category:', 'textdomain' ),
			'edit_item'         => __( 'Edit Category', 'textdomain' ),
			'update_item'       => __( 'Update Category', 'textdomain' ),
			'add_new_item'      => __( 'Add New Category', 'textdomain' ),
			'new_item_name'     => __( 'New Category Name', 'textdomain' ),
			'menu_name'         => __( 'Category', 'textdomain' ),
		);

		$wcat_labels = array(
			'hierarchical'      => true,
			'labels'            => $wcat_labels,
			'show_ui'           => true,
			'show_admin_column' => true,
			'query_var'         => true,
			'rewrite'           => array( 'slug' => 'work_category' ),
		);

		register_taxonomy( 'work_category', array( 'works' ), $wcat_labels );
		
		// Team Post type
		
		if($roofers_option['cp_tm'] != ''){
		        $tm_custom_url = (isset($roofers_option['cp_tm']) && !empty($roofers_option['cp_tm'])) ? $roofers_option['cp_tm'] : '';
	    } else {
	            $tm_custom_url ='team';
	    }
	
		$labels = array(
			'name'                  => _x( 'Teams', 'Post type general name', 'roofers' ),
			'singular_name'         => _x( 'Team', 'Post type singular name', 'roofers' ),
			'menu_name'             => _x( 'Teams', 'Admin Menu text', 'roofers' ),
			'name_admin_bar'        => _x( 'Teams', 'Add New on Toolbar', 'roofers' ),
			'add_new'               => __( 'Add New', 'roofers' ),
			'add_new_item'          => __( 'Add New Team', 'roofers' ),
			'new_item'              => __( 'New Team', 'roofers' ),
			'edit_item'             => __( 'Edit Team', 'roofers' ),
			'view_item'             => __( 'View Team', 'roofers' ),
			'all_items'             => __( 'All Team', 'roofers' ),
			'search_items'          => __( 'Search Team', 'roofers' ),
			'parent_item_colon'     => __( 'Parent Team:', 'roofers' ),
			'not_found'             => __( 'No Team found.', 'roofers' ),
			'not_found_in_trash'    => __( 'No Team found in Trash.', 'roofers' ),
			'featured_image'        => _x( 'Team Cover Image', 'Overrides the “Featured Image” phrase for this post type. Added in 4.3', 'roofers' ),
			'set_featured_image'    => _x( 'Set cover image', 'Overrides the “Set featured image” phrase for this post type. Added in 4.3', 'roofers' ),
			'remove_featured_image' => _x( 'Remove cover image', 'Overrides the “Remove featured image” phrase for this post type. Added in 4.3', 'roofers' ),
			'use_featured_image'    => _x( 'Use as cover image', 'Overrides the “Use as featured image” phrase for this post type. Added in 4.3', 'roofers' ),
			'archives'              => _x( 'Team archives', 'The post type archive label used in nav menus. Default “Post Archives”. Added in 4.4', 'roofers' ),
			'insert_into_item'      => _x( 'Insert into Team', 'Overrides the “Insert into post”/”Insert into page” phrase (used when inserting media into a post). Added in 4.4', 'roofers' ),
			'uploaded_to_this_item' => _x( 'Uploaded to this Team', 'Overrides the “Uploaded to this post”/”Uploaded to this page” phrase (used when viewing media attached to a post). Added in 4.4', 'roofers' ),
			'filter_items_list'     => _x( 'Filter Team list', 'Screen reader text for the filter links heading on the post type listing screen. Default “Filter posts list”/”Filter pages list”. Added in 4.4', 'roofers' ),
			'items_list_navigation' => _x( 'Team list navigation', 'Screen reader text for the pagination heading on the post type listing screen. Default “Posts list navigation”/”Pages list navigation”. Added in 4.4', 'roofers' ),
			'items_list'            => _x( 'Team list', 'Screen reader text for the items list heading on the post type listing screen. Default “Posts list”/”Pages list”. Added in 4.4', 'roofers' ),
		);
	 
		$args = array(
			'labels'             => $labels,
			'public'             => true,
			'publicly_queryable' => true,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'rewrite'            => array( 'slug' => $tm_custom_url ),
			'capability_type'    => 'post',
			'has_archive'        => true,
			'hierarchical'       => false,
			'menu_position'      => null,
			'menu_icon'   =>     'dashicons-businessman',
			'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments' ),
		);
	 
		register_post_type( 'team', $args );
		
		
		$cat_labels = array(
			'name'              => _x( 'Categories', 'taxonomy general name', 'textdomain' ),
			'singular_name'     => _x( 'Category', 'taxonomy singular name', 'textdomain' ),
			'search_items'      => __( 'Search Categories', 'textdomain' ),
			'all_items'         => __( 'All Categories', 'textdomain' ),
			'parent_item'       => __( 'Parent Category', 'textdomain' ),
			'parent_item_colon' => __( 'Parent Category:', 'textdomain' ),
			'edit_item'         => __( 'Edit Category', 'textdomain' ),
			'update_item'       => __( 'Update Category', 'textdomain' ),
			'add_new_item'      => __( 'Add New Category', 'textdomain' ),
			'new_item_name'     => __( 'New Category Name', 'textdomain' ),
			'menu_name'         => __( 'Category', 'textdomain' ),
		);

		$cat_args = array(
			'hierarchical'      => true,
			'labels'            => $cat_labels,
			'show_ui'           => true,
			'show_admin_column' => true,
			'query_var'         => true,
			'rewrite'           => array( 'slug' => 'team_cat' ),
		);

		register_taxonomy( 'team_cat', array( 'team' ), $cat_args );
		
		
	}


}

$roofers_xlCustomContent = new roofers_xlCustomContent();

global $roofers_xlCustomContent;
